<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
      .image-to-show {
        display: none;
        width: 400px;
        height: 400px;
      }

      .images-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
      }

      .active{
        display: block;
      }
    </style>
  </head>
  <body>
    <div class="images-wrapper">
      <img src="./img/1.jpg" alt="image of game" class="image-to-show active" />
      <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
      <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
      <img src="./img/4.png" alt="image of game" class="image-to-show" />
    </div>

    <button id="stop" type="button">Прекратить</button>
    <button id="continue" type="button">Возобновить показ</button>
    <script>

      let stopButton = document.getElementById('stop');
      let continueButton = document.getElementById('continue');



      function slide(){
        let active = document.querySelector('.active');

        if(active) {
          active.classList.remove('active');

          let next = active.nextElementSibling;

          if(!next) {
            next = active.parentNode.firstElementChild;
          }

          if(next) {
            next.classList.add('active');
          }

        }

      }

      let interval = setInterval(slide, 10000);

      stopButton.addEventListener('click', () => clearInterval(interval));
      continueButton.addEventListener('click', () => interval = setInterval(slide, 10000));

    </script>
  </body>
</html>
